import React from 'react';
import { DataGridProProps, getGridStringOperators, GridLinkOperator, getGridNumericOperators, GridCsvExportOptions, useGridApiRef } from '@mui/x-data-grid-pro';
export interface XGridProps extends DataGridProProps {
    localStorageKey?: string;
    language?: 'DE' | 'EN';
    toolbar?: boolean;
    csvExport?: boolean;
    csvOptions?: GridCsvExportOptions;
    quickSearch?: boolean;
    searchText: string;
    setSearchText: React.Dispatch<React.SetStateAction<string>>;
    onSearchClick: (term: string) => void;
    clearSearch: () => void;
}
export declare function XGrid(props: XGridProps): JSX.Element;
export { getGridStringOperators, getGridNumericOperators, GridLinkOperator, useGridApiRef };
