/// <reference types="react" />
import { Palette as MuiPalette } from '@mui/material/styles';
import { CssBaseline, ThemeOptions as MuiThemeOptions } from '@mui/material';
import { theme as anyninesLight } from './light';
import { theme as anyninesDark } from './dark';
import { ThemeProviderProps as MuiThemeProviderProps } from '@mui/material/styles/ThemeProvider';
import { DefaultTheme } from '@mui/styles';
declare module '@mui/material/styles' {
    interface Theme extends DefaultTheme {
        radius: {
            none: number;
            small: number;
            medium: number;
            large: number;
            button: number;
            card: number;
        };
    }
    interface Palette extends MuiPalette {
        bg: {
            paper: string;
            default: string;
            light: string;
            medium: string;
            border: string;
            gradient: string;
        };
        gradient: {
            light: string;
            dark: string;
            primary: string;
        };
    }
    interface ThemeOptions {
        radius?: {
            none?: number;
            small?: number;
            medium?: number;
            large?: number;
            button?: number;
            card?: number;
        };
    }
}
export declare type CustomThemeName = 'light' | 'dark';
export declare const useTheme: import("@mui/material").Theme;
export interface ThemeProviderProps extends Omit<MuiThemeProviderProps, 'theme'> {
    theme?: MuiThemeOptions | CustomThemeName;
}
export declare const ThemeProvider: (props: ThemeProviderProps) => JSX.Element;
export { CssBaseline, anyninesDark, anyninesLight };
